#
# spec file for package python3-itsdangerous
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-itsdangerous
Version:        0.24
Release:        2.5
License:        BSD-3-Clause
Summary:        Various helpers to pass trusted data to untrusted environments and back
Url:            http://github.com/mitsuhiko/itsdangerous
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/i/itsdangerous/itsdangerous-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
It's Dangerous
   ... so better sign this

Various helpers to pass data to untrusted environments and to get it back
safe and sound.

This repository provides a module that is a port of the django signing
module.  It's not directly copied but some changes were applied to
make it work better on its own.

Also I plan to add some extra things.  Work in progress.


%prep
%setup -q -n itsdangerous-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- upgrade to version 0.24:
  * Added a `BadHeader` exception that is used for bad headers that
    replaces the old `BadPayload` exception that was reused in those
    cases.
* Wed Sep 25 2013 p.drouand@gmail.com
- Initial python3 support
* Tue Sep  3 2013 cfarrell@suse.com
- license update: BSD-3-Clause
  See the LICENSE file
* Mon Sep  2 2013 speilicke@suse.com
- Initial version
